Foxit PDF Conversion SDK

Public Member Functions | List of all members
fpdfconversionsdk.PDF2ExcelSettingData Class Reference

## Public Member Functions
def | GetDecimal_symbol ()
| Get a string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents. More...
def | GetEnable_aggressive_table_repair ()
| Get a boolean value that indicates whether aggressive table repair is enabled during the conversion of PDF documents to Excel format documents. More...
def | GetInclude_watermarks ()
| Get a boolean value that indicates whether to include watermarks during the conversion of PDF documents to Excel format documents. More...
def | GetThousands_separator ()
| Get a string value which indicates being recognized as thousands separator during the conversion of PDF documents to Excel format documents. More...
def | GetWorkbook_settings ()
| Get an enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents. More...
def | Set (decimal_symbol, thousands_separator, workbook_settings, enable_aggressive_table_repair, include_watermarks)
| Set value. More...
def | SetDecimal_symbol (value)
| Set a string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents. More...
def | SetEnable_aggressive_table_repair (value)
| Set a boolean value that indicates whether aggressive table repair is enabled during the conversion of PDF documents to Excel format documents. More...
def | SetInclude_watermarks (value)
| Set a boolean value that indicates whether to include watermarks during the conversion of PDF documents to Excel format documents. More...
def | SetThousands_separator (value)
| Set a string value which indicates being recognized as thousands separator during the conversion of PDF documents to Excel format documents. More...
def | SetWorkbook_settings (value)
| Set an enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents. More...

## Detailed Description

This class represents setting data used for converting PDF documents to Excel format documents.

## Member Function Documentation

## ◆ GetDecimal_symbol()

fpdfconversionsdk.PDF2ExcelSettingData.GetDecimal_symbol | ( |  | ) |

Get a string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents.

The decimal symbol is used to separate the integer part and the decimal part of a number. If this parameter is set to ".", then the number "123.456" will be recognized as 123.456. If this parameter is set to ",", then the number "123,456" will be recognized as 123.456. If this parameter is not set, the decimal symbol will be recognized automatically.

Note
  Currently, this parameter is only useful for cells with only numbers and separators. The value of this parameter must be different from the value of parameter thousands_separator. To ensure the correct recognition of the decimal symbol, this parameter should be set together with parameter thousands_separator.

Returns
  A string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents.

## ◆ GetEnable_aggressive_table_repair()

fpdfconversionsdk.PDF2ExcelSettingData.GetEnable_aggressive_table_repair | ( |  | ) |

Get a boolean value that indicates whether aggressive table repair is enabled during the conversion of PDF documents to Excel format documents.

true means to enabled aggressive table repair for the conversion of PDF documents to Excel format documents. false means not to enabled aggressive table repair for the conversion of PDF documents to Excel format documents. When enabled, this option attempts to preserve the integrity of tables and avoid breaking the table structure. It works by moving overlapping elements to proper boundaries, ensuring that cells, rows, and columns remain correctly aligned in the resulting Excel sheet.

Returns
  A boolean value that indicates whether aggressive table repair is enabled during the conversion of PDF documents to Excel format documents. Default value: true.

## ◆ GetInclude_watermarks()

fpdfconversionsdk.PDF2ExcelSettingData.GetInclude_watermarks | ( |  | ) |

Get a boolean value that indicates whether to include watermarks during the conversion of PDF documents to Excel format documents.

true means to include watermarks for the conversion of PDF documents to Excel format documents. false means not to include watermarks for the conversion of PDF documents to Excel format documents. If this option is enabled, watermarks of PDF documents will be added to the Excel worksheet during the conversion of PDF documents to Excel format documents. Note that the watermark may overlap worksheet content. Certain cells, such as headers or the region column, might be converted to text boxes and may not be directly editable until the watermark is removed or adjusted.

Returns
  A boolean value that indicates whether to include watermarks during the conversion of PDF documents to Excel format documents. Default value: false.

## ◆ GetThousands_separator()

fpdfconversionsdk.PDF2ExcelSettingData.GetThousands_separator | ( |  | ) |

Get a string value which indicates being recognized as thousands separator during the conversion of PDF documents to Excel format documents.

The thousands separator is used to separate the thousands part of a number. If this parameter is set to ",", then the number "123,456" will be recognized as 123456. If this parameter is set to ".", then the number "123.456" will be recognized as 123456. If this parameter is set to " ", then the number "123 456" will be recognized as 123456. If this parameter is not set, the thousands separator will be recognized automatically.

Note
  Currently, this parameter is only useful for cells with only numbers and separators. The value of this parameter must be different from the value of parameter decimal_symbol. To ensure the correct recognition of the thousands separator, this parameter should be set together with parameter decimal_symbol.

Returns
  A string value which indicates being recognized as thousands separator during the conversion of PDF documents to Excel format documents.

## ◆ GetWorkbook_settings()

fpdfconversionsdk.PDF2ExcelSettingData.GetWorkbook_settings | ( |  | ) |

Get an enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents.

Please refer to values starting from fpdfconversionsdk.PDF2ExcelSettingDataE_WorkbookSettingsDocument and this should be one of these values. Default value: fpdfconversionsdk.PDF2ExcelSettingDataE_WorkbookSettingsEachPage .

Returns
  An enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents.

## ◆ Set()

def fpdfconversionsdk.PDF2ExcelSettingData.Set | ( |  | decimal_symbol,
|  |  | thousands_separator,
|  |  | workbook_settings,
|  |  | enable_aggressive_table_repair,
|  |  | include_watermarks
| ) |  |

Set value.

Parameters

  [in] | decimal_symbol | A string value which indicates being recognized as decimal during the conversion of PDF documents to Excel format documents.
  [in] | thousands_separator | A string value which indicates being recognized as thousands separator during the conversion of PDF documents to Excel format documents.
  [in] | workbook_settings | An enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents.
  [in] | enable_aggressive_table_repair | A boolean value that indicates whether aggressive table repair is enabled during the conversion of PDF documents to Excel format documents. Default value: true. true means to enabled aggressive table repair for the conversion of PDF documents to Excel format documents. false means not to enabled aggressive table repair for the conversion of PDF documents to Excel format documents.
  [in] | include_watermark | A boolean value that indicates whether include watermarks during the conversion of PDF documents to Excel format documents. Default value: false. true means to watermarks for the conversion of PDF documents to Excel format documents. false means not to include watermarks for the conversion of PDF documents to Excel format documents.

Returns
  None.

## ◆ SetDecimal_symbol()

fpdfconversionsdk.PDF2ExcelSettingData.SetDecimal_symbol | ( |  | value | ) |

Set a string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents.

The decimal symbol is used to separate the integer part and the decimal part of a number. If this parameter is set to ".", then the number "123.456" will be recognized as 123.456. If this parameter is set to ",", then the number "123,456" will be recognized as 123.456. If this parameter is not set, the decimal symbol will be recognized automatically.

Note
  Currently, this parameter is only useful for cells with only numbers and separators. The value of this parameter must be different from the value of parameter thousands_separator. To ensure the correct recognition of the decimal symbol, this parameter should be set together with parameter thousands_separator.

Parameters

  [in] | value | A string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents.

Returns
  None.

## ◆ SetEnable_aggressive_table_repair()

fpdfconversionsdk.PDF2ExcelSettingData.SetEnable_aggressive_table_repair | ( |  | value | ) |

Set a boolean value that indicates whether aggressive table repair is enabled during the conversion of PDF documents to Excel format documents.

true means to enabled aggressive table repair for the conversion of PDF documents to Excel format documents. false means not to enabled aggressive table repair for the conversion of PDF documents to Excel format documents. When enabled, this option attempts to preserve the integrity of tables and avoid breaking the table structure. It works by moving overlapping elements to proper boundaries, ensuring that cells, rows, and columns remain correctly aligned in the resulting Excel sheet.

Parameters

  [in] | value | A boolean value that indicates whether aggressive table repair is enabled during the conversion of PDF documents to Excel format documents. Default value: true.

Returns
  None.

## ◆ SetInclude_watermarks()

fpdfconversionsdk.PDF2ExcelSettingData.SetInclude_watermarks | ( |  | value | ) |

Set a boolean value that indicates whether to include watermarks during the conversion of PDF documents to Excel format documents.

true means to include watermarks for the conversion of PDF documents to Excel format documents. false means not to include watermarks for the conversion of PDF documents to Excel format documents. If this option is enabled, watermarks of PDF documents will be added to the Excel worksheet during the conversion of PDF documents to Excel format documents. Note that the watermark may overlap worksheet content. Certain cells, such as headers or the region column, might be converted to text boxes and may not be directly editable until the watermark is removed or adjusted.

Parameters

  [in] | value | A boolean value that indicates whether to include watermarks during the conversion of PDF documents to Excel format documents. Default value: false.

Returns
  None.

## ◆ SetThousands_separator()

fpdfconversionsdk.PDF2ExcelSettingData.SetThousands_separator | ( |  | value | ) |

Set a string value which indicates being recognized as thousands separator during the conversion of PDF documents to Excel format documents.

The thousands separator is used to separate the thousands part of a number. If this parameter is set to ",", then the number "123,456" will be recognized as 123456. If this parameter is set to ".", then the number "123.456" will be recognized as 123456. If this parameter is set to " ", then the number "123 456" will be recognized as 123456. If this parameter is not set, the thousands separator will be recognized automatically.

Note
  Currently, this parameter is only useful for cells with only numbers and separators. The value of this parameter must be different from the value of parameter decimal_symbol. To ensure the correct recognition of the thousands separator, this parameter should be set together with parameter decimal_symbol.

Parameters

  [in] | value | A string value which indicates being recognized as thousands separator during the conversion of PDF documents to Excel format documents.

Returns
  None.

## ◆ SetWorkbook_settings()

fpdfconversionsdk.PDF2ExcelSettingData.SetWorkbook_settings | ( |  | value | ) |

Set an enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents.

Please refer to values starting from fpdfconversionsdk.PDF2ExcelSettingDataE_WorkbookSettingsDocument and this should be one of these values. Default value: fpdfconversionsdk.PDF2ExcelSettingDataE_WorkbookSettingsEachPage .

Parameters

  [in] | value | An enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents.

Returns
  None.